Subject: Re: Stack overflow! (fwd)

From: [email-masked] (Maureen Philomena MOLLOY)
Date: Fri, 27 May 94 14:58:40 EST

> 
> > Are the two are related?  
> 
> I am 90% sure, because I once ported another package to CLISP (I don't
> recall which one), it redefined the type CONDITION as well and produced
> a stack overflow as well.
> 
> > The first seems to be a compile time warning that the code may 
> > not do what CLISP expects at run time.
> 
> The compiler must execute, not only compile, DEFTYPE and DEFSTRUCT forms.
> The bad effects therefore already occur at compile time.
> 
> > is it simply a matter of enlarging the stack?
> 
> Certainly not. You must have really really deep recurrence to need a larger
> stack.
> 
> Bruno Haible
> 

By the look of it we will have to look at what the difference is between
the CLISP CONDITION and the redefined CONDITION.

Thanks for the help.

Maureen.